Package twisted :: Package internet :: Module stdio :: Class StandardIO |
[frames | no frames]

## Class StandardIO

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
                    StandardIO

I can connect Standard IO to a twisted.protocol I act as a selectable for sys.stdin, and provide a write method that writes to stdout.

Method Summary
| ``__init__`(self, protocol)` Create me with a protocol.
| ``closeStdin`(self)` Close standard input.
| ``connectionLost`(self, reason)` The connection was lost.
| ``doRead`(self)` Some data's readable from standard input.
| ``write`(self, data)` Write some data to standard output.
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``writeSequence`(self, iovec)`
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from FileDescriptor
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### __init__(self, protocol) (Constructor) Create me with a protocol. This will fail if a StandardIO has already been instantiated. Overrides: `twisted.internet.abstract.FileDescriptor.__init__`

### closeStdin(self) Close standard input.

### connectionLost(self, reason) The connection was lost. Overrides: `twisted.internet.abstract.FileDescriptor.connectionLost`

### doRead(self) Some data's readable from standard input.

### write(self, data) Write some data to standard output. Overrides: `twisted.internet.abstract.FileDescriptor.write`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net